package esercizio1;

import java.util.HashSet;
import java.util.Iterator;
import java.util.Set;

public class CarrelloLibreria 
{
	private Set <Libro> libri;

	public CarrelloLibreria() {
		this.libri = new HashSet <Libro> ();
	}
	public boolean aggiungiLibro(Libro f)
	{
		if (!libri.add(f))
		{	
			boolean aggiunto = false;
			Iterator <Libro> iteratore = libri.iterator(); 
			while	( iteratore.hasNext() && !aggiunto )
			{
				Libro temp = iteratore.next();
				if (temp.equals(f) && f.getCosto() < temp.getCosto())
				{
					libri.remove(temp);
					libri.add(f);
					aggiunto = true;
				}
			}
			
			return aggiunto;
		}
		else
		{
			return true;
		}
	}	
	public double getConto()
	{
		double sum = 0;
		Iterator <Libro> iteratore = libri.iterator(); 
		while (iteratore.hasNext()) {
			sum += iteratore.next().getCosto();
		}	
		return sum;	
	}
}
